# Header-only library.
%global debug_package %{nil}

Name:           xproperty
Version:        0.12.0
Release:        %mkrel 1
Summary:        Traitlets-like C++ properties and implementation of the observer pattern
Group:          Development/C++
License:        BSD
Url:            https://github.com/jupyter-xeus/xproperty
Source0:        https://github.com/jupyter-xeus/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:         0001-doc_fix-compat-with-Sphinx-6.0.patch
BuildArch:      noarch

BuildRequires:  binutils
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  cmake(doctest)
BuildRequires:  cmake(GTest) >= 1.8.1
BuildRequires:  cmake(nlohmann_json)
BuildRequires:  python3dist(breathe)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description
xproperty is a C++ library providing traitlets-style properties.


%package devel
Summary:        Traitlets-like C++ properties and implementation of the observer pattern
Group:          Development/C++

%description devel
Development files for %{name} library.

%package doc
Summary:        Documentation for %{name}
Group:          Documentation

%description doc
Documentation for %{name}.

%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTS=ON
%cmake_build

pushd docs
make html SPHINXBUILD=sphinx-build-3
rm build/html/.buildinfo
popd

%install
%cmake_install

%check
make xtest -C build

%files devel
%doc README.md
%license LICENSE
%{_includedir}/xproperty/
%{_libdir}/cmake/xproperty/

%files doc
%doc docs/build/html


%changelog
* Wed Jul 17 2024 papoteur <papoteur> 0.12.0-1.mga10
+ Revision: 2081849
- new version 0.12.0

* Tue Feb 28 2023 daviddavid <daviddavid> 0.11.0-2.mga9
+ Revision: 1945833
- add patch to fix compat with Sphinx >= 6.0
- use properly our cmake macros

* Sat Apr 16 2022 joequant <joequant> 0.11.0-1.mga9
+ Revision: 1850737
- update to 0.11.0

* Tue Mar 29 2022 umeabot <umeabot> 0.10.4-2.mga9
+ Revision: 1833525
- Mageia 9 Mass Rebuild

* Tue Dec 15 2020 joequant <joequant> 0.10.4-1.mga8
+ Revision: 1657592
- update to 0.10.4

* Mon Jul 27 2020 joequant <joequant> 0.10.1-2.mga8
+ Revision: 1609214
- rebuild

* Mon Jul 27 2020 joequant <joequant> 0.10.1-1.mga8
+ Revision: 1609205
- add gtest cmake
- fix group
- imported package xproperty

